Name: sed-gnu
Version: 4.4
Release: 2
License: GPL-3.0-or-later
Summary: GNU sed
Url: https://www.gnu.org/software/sed

Source0: https://ftp.gnu.org/pub/gnu/sed/sed-%{version}.tar.xz


%description
sed (stream editor) is a non-interactive command-line text editor.

sed is commonly used to filter text, i.e., it takes text input, performs some
operation (or set of operations) on it, and outputs the modified text. sed is
typically used for extracting part of a file using pattern matching or
substituting multiple occurrences of a string within a file.

%prep
%setup -q -n sed-%{version}

%build

%configure \
  LDFLAGS="-Wl,-blibpath:/QOpenSys/usr/lib" \
  --disable-i18n \
  --disable-nls \
  --disable-rpath

%make_build

%install

%make_install
ln -s sed %{buildroot}/%{_bindir}/gsed

rm %{buildroot}/%{_libdir}/charset.alias

%files
%defattr(-, qsys, *none)

%{_bindir}/sed
%{_bindir}/gsed
%{_infodir}/sed.info*
%{_mandir}/man1/sed.1*

%changelog
* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 4.4
- Use generic paths for man and info pages to allow for compression

* Tue Nov 19 2019 Kevin Adler <kadler@us.ibm.com> - 4.4
- Use SPDX license identifier

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove outdated TODO comments

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs
